VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "kWTHCSSRuleSet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private m_selector As String
Private m_declaration_block() As kWTHCSSProperty
Private m_property_count As Integer

Private Sub Class_Initialize()
    m_property_count = -1
End Sub
Public Sub SetSelector(ByVal selector As String)
    m_selector = selector
End Sub

Private Sub Class_Terminate()
    Dim i As Integer
    For i = 0 To m_property_count
        Set m_declaration_block(i) = Nothing
    Next i
End Sub

Public Sub AddProperty(ByVal p As kWTHCSSProperty)
    m_property_count = m_property_count + 1
    ReDim Preserve m_declaration_block(m_property_count) As kWTHCSSProperty
    Set m_declaration_block(m_property_count) = p
End Sub

Public Function CreateCode() As String
    Dim tmpstr As String
    
    tmpstr = m_selector & " {" & vbCrLf
    
    Dim i As Integer
    For i = 0 To m_property_count
        tmpstr = tmpstr & vbTab & m_declaration_block(i).CreateCode & vbCrLf
    Next i
    
    tmpstr = tmpstr & "}" & vbCrLf
    
    CreateCode = tmpstr
End Function
